import javax.swing.*;
import java.awt.*;

public abstract class Shape {

    private Color color;

    public Shape(Color color) {
        this.color = color;
    }

    public Color color() {
        return color;
    }

    public abstract int numberOfCorners();

    public abstract double surface();

    public abstract void display(Graphics g);

}
