import java.awt.*;

public class Rectangle extends Shape {


    public static final int NUMBER_OF_CORNERS = 4;

    private double side1;
    private double side2;

    public Rectangle(double side1, double side2, Color color) {
        super(color);
        this.side1 = side1;
        this.side2 = side2;
    }

    // create a square
    public Rectangle(double side, Color color) {
        this(side,side,color);
    }

    public int numberOfCorners() {
        return NUMBER_OF_CORNERS;
    }

    public double surface() {
        return side1 * side2;
    }

    public void display(Graphics g) {
        g.setColor(this.color());
        g.fillRect(100,100,(int)side1,(int)side2);

    }

}












































//        g.setColor(this.color());
//        g.fillRect(100,100,(int)side1,(int)side2);